Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class PluginValue

    java.lang.Object
      |
      +--com.solarmetric.conf.AbstractValue
            |
            +--com.solarmetric.conf.PluginValue

All Implemented Interfaces:
  Value

public synchronized class PluginValue
extends AbstractValue

Constructor Summary
`PluginValue(String)`

Method Summary
`String` | `getClassName()`
`protected String` | `getInternalString()`
`String` | `getProperties()`
`String` | `getString()` Return a stringified version of this value.
`void` | `setClassName(String)`
`protected void` | `setInternalString(String)`
`void` | `setProperties(String)`
`void` | `setString(String)` Set this value from the given string.

Methods inherited from class com.solarmetric.conf.AbstractValue
`equals, getAliases, getDefault, getProperty, hashCode, setAliases, setDefault`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginValue

    public PluginValue(String)

Method Detail

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String)

### getProperties

    public String getProperties()

### setProperties

    public void setProperties(String)

### getString

    public String getString()

  Description copied from interface: `Value`
  Return a stringified version of this value. If the current value has a short alias key, the alias key is returned.
  Overrides:
    `getString` in class `AbstractValue`

### setString

    public void setString(String)

  Description copied from interface: `Value`
  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string (or default) is an alias key, it will be converted to the corresponding value internally.
  Overrides:
    `setString` in class `AbstractValue`

### getInternalString

    protected String getInternalString()

  Overrides:
    `getInternalString` in class `AbstractValue`

### setInternalString

    protected void setInternalString(String)

  Overrides:
    `setInternalString` in class `AbstractValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.